Gem::Specification.new do |s|
  s.name = %q{ZenTest}
  s.version = "3.6.1"
  s.date = %q{2007-07-23}
  s.summary = %q{ZenTest provides 4 different tools and 1 library: zentest, unit_diff, autotest, multiruby, and Test::Rails.}
  s.email = %q{ryand-ruby@zenspider.com}
  s.homepage = %q{http://www.zenspider.com/ZSS/Products/ZenTest/}
  s.rubyforge_project = %q{zentest}
  s.description = %q{ZenTest provides 4 different tools and 1 library: zentest, unit_diff, autotest, multiruby, and Test::Rails.  ZenTest scans your target and unit-test code and writes your missing code based on simple naming rules, enabling XP at a much quicker pace. ZenTest only works with Ruby and Test::Unit.  unit_diff is a command-line filter to diff expected results from actual results and allow you to quickly see exactly what is wrong.  autotest is a continous testing facility meant to be used during development. As soon as you save a file, autotest will run the corresponding dependent tests.  multiruby runs anything you want on multiple versions of ruby. Great for compatibility checking!  Test::Rails helps you build industrial-strength Rails code.}
  s.has_rdoc = true
  s.authors = ["Ryan Davis", "Eric Hodel"]
  s.files = ["History.txt", "LinuxJournalArticle.txt", "Manifest.txt", "README.txt", "Rakefile", "bin/autotest", "bin/multiruby", "bin/rails_test_audit", "bin/ruby_fork", "bin/ruby_fork_client", "bin/unit_diff", "bin/zentest", "example.txt", "example1.rb", "example2.rb", "example_dot_autotest.rb", "lib/autotest.rb", "lib/autotest/autoupdate.rb", "lib/autotest/camping.rb", "lib/autotest/discover.rb", "lib/autotest/emacs.rb", "lib/autotest/fixtures.rb", "lib/autotest/growl.rb", "lib/autotest/heckle.rb", "lib/autotest/html_report.rb", "lib/autotest/kdenotify.rb", "lib/autotest/menu.rb", "lib/autotest/migrate.rb", "lib/autotest/notify.rb", "lib/autotest/pretty.rb", "lib/autotest/rails.rb", "lib/autotest/redgreen.rb", "lib/autotest/screen.rb", "lib/autotest/shame.rb", "lib/autotest/snarl.rb", "lib/autotest/timestamp.rb", "lib/functional_test_matrix.rb", "lib/ruby_fork.rb", "lib/test/rails.rb", "lib/test/rails/controller_test_case.rb", "lib/test/rails/functional_test_case.rb", "lib/test/rails/helper_test_case.rb", "lib/test/rails/ivar_proxy.rb", "lib/test/rails/pp_html_document.rb", "lib/test/rails/rake_tasks.rb", "lib/test/rails/render_tree.rb", "lib/test/rails/test_case.rb", "lib/test/rails/view_test_case.rb", "lib/test/zentest_assertions.rb", "lib/unit_diff.rb", "lib/zentest.rb", "lib/zentest_mapping.rb", "test/test_autotest.rb", "test/test_help.rb", "test/test_rails_autotest.rb", "test/test_rails_controller_test_case.rb", "test/test_rails_helper_test_case.rb", "test/test_rails_view_test_case.rb", "test/test_ruby_fork.rb", "test/test_unit_diff.rb", "test/test_zentest.rb", "test/test_zentest_assertions.rb", "test/test_zentest_mapping.rb"]
  s.test_files = ["test/test_autotest.rb", "test/test_help.rb", "test/test_rails_autotest.rb", "test/test_rails_controller_test_case.rb", "test/test_rails_helper_test_case.rb", "test/test_rails_view_test_case.rb", "test/test_ruby_fork.rb", "test/test_unit_diff.rb", "test/test_zentest.rb", "test/test_zentest_assertions.rb", "test/test_zentest_mapping.rb"]
  s.rdoc_options = ["--main", "README.txt"]
  s.extra_rdoc_files = ["History.txt", "LinuxJournalArticle.txt", "Manifest.txt", "README.txt", "example.txt"]
  s.executables = ["autotest", "multiruby", "rails_test_audit", "ruby_fork", "ruby_fork_client", "unit_diff", "zentest"]
  s.add_dependency(%q<hoe>, [">= 1.2.2"])
end
